/* ***********************************************************************
   *  OpenGL - reseau :       construction des rails                     *
   *                                                                     *
   *                                                                     *
   * objectif(s): des methodes pour construire des rails                 *
   * ------------------------------------------------------------------- *
   * version    : 1.00                                                   *
   * fichier    : OpenGL_rail.h                                          *
   * ------------------------------------------------------------------- *
   * auteur(s)  : P. Chaudeyrac                                          *
   * ------------------------------------------------------------------- *
   * langage    : C++                                                    *
   * systeme    : Linux                                                  *
   * ------------------------------------------------------------------- *
   * historique :                                                        *
   *  10 08 2004  creation                                               *
   ***********************************************************************
*/


/* ******************************************************************** */
/*                         anti-doublon                                 */
/* ******************************************************************** */
#ifndef OpenGL_rail_H
#define OpenGL_rail_H


/* ******************************************************************** */
/*                  liste des nouvelles methodes                        */
/* ******************************************************************** */
void drawRightRail(void);
void drawRightCurveRail(void);
void createRailNetwork(const int size, const int *data, const int *sign);
void drawSig(int signstop);


/* ******************************************************************** */
/*                         fin anti-doublon                             */
/* ******************************************************************** */
#endif
