/* ***********************************************************************
   *  OpenGL - reseau :       construction du train                      *
   *                                                                     *
   *                                                                     *
   * objectif(s):                                                        *
   * ------------------------------------------------------------------- *                                 
   * version    : 1.00                                                   *
   * fichier    : OpenGL_train.h                                         *
   * ------------------------------------------------------------------- *
   * auteur(s)  : P. Chaudeyrac                                          *
   * ------------------------------------------------------------------- *
   * langage    : C++                                                    *
   * systeme    : Linux                                                  *
   * ------------------------------------------------------------------- *
   * historique :                                                        *
   *  10 08 2004  creation                                               *
   ***********************************************************************
*/


/* ******************************************************************** */
/*                         anti-doublon                                 */
/* ******************************************************************** */
#ifndef OpenGL_train_H 
#define OpenGL_train_H 



/* ******************************************************************** */
/*                     include                                          */
/* ******************************************************************** */

// OpenGl
#include<GL/glut.h>


typedef struct S_Train {
  GLdouble locoX     ;
    GLdouble locoY   ;
  GLdouble locoZ     ; 
  GLdouble locoAlpha ;
  int      locoSens  ;
  
  int position    ;
  int subPosition ;
} Train;



/* ******************************************************************** */
/*                  liste des nouvelles methodes                        */
/* ******************************************************************** */
void drawLoco(void);
void drawWheel(void);
void drawCylinder(float r, float h, int dx, int dy, short fill, double angle);
void initTrain(Train *train);


/* ******************************************************************** */
/*                         fin anti-doublon                             */
/* ******************************************************************** */
#endif
